[Haskell-cafe] Compiler constraints in cabal

wren ng thornton wren at freegeek.org
Sat Nov 6 04:24:08 EDT 2010

On 11/6/10 3:13 AM, Ivan Lazar Miljenovic wrote:
> On 6 November 2010 17:52, Reiner Pope<reiner.pope at gmail.com>  wrote:
>> Ah, I hadn't thought of that. But doesn't the version of GHC change
>> much more often than the version of base does?
> Each major version of GHC has a different (major) version of base.
> I think you can also say stuff like "ghc>= 6.10", but I'm not sure.

The correct condition notation is: impl(ghc >= 6.10)

Live well,

More information about the Haskell-Cafe mailing list